﻿/* corpo da página*/
body
{
    font-family: 'Open Sans',Tahoma, Geneva, sans-serif;
    font-size: 14px;
    color: #000;
    background-color: #FFF;
    margin:0;
}
/*Background só funcina na Margaret se ouver apenas um "."antes da barra de endereço da pasta de images
como está a baixo no codigo do background dentro url("./pasta/img.png")
*/

.bg-login{
    background:url("./Images/bg-integra.png") no-repeat;
    /* background:url("./Images/Fundo.png") no-repeat;*/
    background-size:cover;
}
.text-center{
    text-align:center;
}

/* BARRA MENU SUPERIOR - Cabeçalho principal */
.top_inf
{
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 60px;
    height: auto;
    background: #ffffff;
    box-shadow: 0 0.5rem 1rem rgb(0 0 0 / 5%), inset 0 -1px 0 rgb(0 0 0 / 15%);
    z-index: 10000;
}
.top
{   
    display:flex;
    width: 100%;
    min-height: 60px;
    height: auto;
    
}
.top_logo
{
    padding:5px;
}
.top_logo img{
    height:50px;
    margin-left: 1em;
}
.top #bt_menu
{
    display:none;
}
.top label[for="bt_menu"]{
    
    padding: 5px;
    color: #222;
    text-align: center;
    font-size: 30px;
    cursor: pointer;
    width: 50px;
    height: 50px;
}
label[for="bt_menu"]{
    display: none;
}
.menu-responsivo
{   display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    align-items: center;
    width: 80%;  
}
.tit_sist{
    min-width:224px;
    color:#1d55ad;
    margin-left: 2em;
}
.tit_sist h1, p
{
    display: inline-block;
}
.tit_sist h1
{   text-transform:uppercase;
    font-style:italic;
    font-size:17px;
}
.tit_sist p
{
    margin-left:5px;
    font-weight:600;
}
.tit_pag
{   min-width:308px;
    height: 20px;
   
}
.icon-externo
{   color:Black;
    text-decoration:none;
    padding: 0px 25px;
    padding-bottom: 15px;
    float: right;
    font-size:16px;
    cursor:pointer;
    transition: all 0.3s ease-in-out;
}
.icon-externo:hover
{  
    text-decoration:none;
    box-shadow: inset 0 -5px 0 0 #1E6496;
    
}
.ocultar-asp
{   display:none;
    }
.box_data
{
    padding: 8px 0px 0px 30px;
    font-size: 10px;
    color: #004a80; 
}
.user_saud
{   min-width:245px;
    color: black;
    font-size: 11px;
    font-weight: 700;
    white-space: nowrap;
}
.ico_top
{
    margin: 1px 5px;
    border: 0px;
}

/*Cabeçalho Menu*/
#top_menu
{
    width: 100%;
    height: 20px;
    display: inline;
    white-space: nowrap; 
}
.tm_bt
{
    float: left;
    height: 20px;
    margin: 0px 1px;
    background: url(images/mntop_b.gif);
    max-width: 180px;
    font-size: 11px;
    font-weight: bold;
    color: #FFF; 
}
.tm_bt a:link
{
    text-decoration: none;
    color: #FFF;
}
.tm_bt a:visited
{
    text-decoration: none;
    color: #FFF;
}
.tm_bt a:hover
{
    text-decoration: underline;
    color: #94bae5;
}
.tm_bt a:active
{
    text-decoration: none;
    color: #FFF;
}

/* não faço ideia do que é isso por enquanto fica*/
.info_user
{
    /*Coluna com User e Padrão de Tela*/
    float: left;
    padding: 12px 0px 0px 5px;
    width: 260px;
    height: 30px;
    color: #FFF;
    font-size: 10px; /*z-index:3;*/
}

.info_user2
{
    /*Coluna com Empresa e Papel*/
    float: left;
    padding: 12px 0px 0px 5px;
    width: 350px;
    height: 30px;
    color: #FFF;
    font-size: 10px; 
}/* FIM não faço ideia do que é isso por enquanto fica*/


/* Body do site - Conteudo */
.conteudo
{  
    position:relative;
    display: block;
    overflow: auto;
    background: #F8F9FA;
    min-height:670px;
    margin: 0px;
    height: 100vh;
}

.panel-login{   
    padding-top:60px;
    padding-bottom:90px;
    width: 100%;
    height: auto;
    min-height: 540px;
    
}
.conteudo a:
{
    color: #0353ab;
    text-decoration: none;
}
.conteudo a:hover
{
    color: #00f;
    text-decoration: underline;
}

.conteudo-externo{  
    position:relative;
    display: block;
    min-height:670px;
    margin: 0px;
    height: 100vh;
}
.conteudo-externo a:{
    color: #0353ab;
    text-decoration: none;
}
.conteudo-externo a:hover
{
    color: #00f;
    text-decoration: underline;
}
/* Reset senha*/

.link-recuperar {
    display: inline-block;
    margin-top: 12px;
    font-size: 14px;
    color: #e0f2ff; /* azul clarinho */
    text-decoration: none;
    transition: all 0.3s ease;
}

.link-recuperar:hover {
    color: #ffffff;
    text-decoration: underline;
}

#ctl00_cphFormulario_PanelPassword
{   padding-top: 60px;
    display: flex;
    justify-content: center;
    align-items: baseline;
    height: 67%; 
}
.resetSenha
{   
    position: absolute;
    left: 20%;
    top: 200px;
    width: 350px;
    height: 450px;
    margin: 0px 0px 0px -225px;    
   
    padding: 15px;
    background: rgba(255, 255, 255, 0.18);
    backdrop-filter: blur(3px) saturate(160%);
    -webkit-backdrop-filter: blur(18px) saturate(160%);

    border-radius: 15px;
    border: 1px solid rgba(255, 255, 255, 0.35);

    box-shadow:
        0 0 12px rgba(0,224,255,0.35),
        0 0 28px rgba(0,224,255,0.2),
        0 20px 45px rgba(0,0,0,0.45);
    border-radius: 8px;
    align-items: center;
   /* margin: 5em; width: 300px; 
    box-shadow: 0 2.8px 2.2px rgb(0 0 0 / 3%), 
    0 6.7px 5.3px rgb(0 0 0 / 5%),
     0 12.5px 10px rgb(0 0 0 / 6%),
      0 22.3px 17.9px rgb(0 0 0 / 7%),
       0 41.8px 33.4px rgb(0 0 0 / 9%), 
       0 100px 80px rgb(0 0 0 / 12%);  
    display: flex;
    flex-direction: column;
    align-items: center;*/
}
.resetSenha h3 
{
    border-bottom: 2px solid #dcdcdc;
    text-align: center;
    padding-bottom: 5px;
    margin-top: 0;
}
.resetSenha .log_int
{   
    font-size: 16px;
    margin-top: 10px;
}
.resetSenha .log_int .log_form{
    
    font-size: 18px;
    color: black;
    border: 2px #dfe6ed solid;
    border-radius: 5px;
    height: 26px;
    width: 200px;
    background: #e0f2ff;;
}
.resetSenha .log_int .btn-confirmar  
{   display: block;
    background: #04AA6D;
    width: 120px; 
    height: 31px;
    padding: 1px 44px;
    border: 2px solid #04AA6D;
    border-radius: 5px; 
    margin: 15px 0;  
}
.resetSenha .log_int .btn-Cancelar  
{   display: block;
    background: red;
    width: 120px; 
    height: 31px;
    padding: 1px 44px;
    border: 2px solid #04AA6D;
    border-radius: 5px; 
    margin: 15px 0;  
}
/*flex-box Aplicado
#ctl00_cphFormulario_PanelLogin
{
    width: 100%;
    min-height: 78vh;
    display: flex;
    justify-content: center;
    align-items: center;  
    flex-wrap: wrap; 
}
*/
/*Login*/
/* ===============================
   CONTAINER LOGIN – GLASS
================================ */
.conteudo-externo .login {
    width: 300px;
    min-height: 320px;
    padding: 25px;
    margin-top: 70px;
    position: relative;
    left: 100px;

    background: rgba(255, 255, 255, 0.18);
    backdrop-filter: blur(3px) saturate(160%);
    -webkit-backdrop-filter: blur(18px) saturate(160%);

    border-radius: 15px;
    border: 1px solid rgba(255, 255, 255, 0.35);

    box-shadow:
        0 0 12px rgba(0,224,255,0.35),
        0 0 28px rgba(0,224,255,0.2),
        0 20px 45px rgba(0,0,0,0.45);
}


/* Borda interna suave */
.conteudo-externo .login::before {
    content: "";
    position: absolute;
    inset: 1px;
    border-radius: 14px;
    border: 1px solid rgba(255,255,255,0.25);
    pointer-events: none;
}

/* ===============================
   LOGO
================================ 
.imgIntegra img {
    display: block;
    margin: 0 auto 10px;
}*/

/* ===============================
   INPUTS (LABEL DENTRO)
================================ */
.login input,
.login .log_int input {
    display: block;
    width: 100%;
    max-width: 240px;
    margin: 0 auto 12px;
    padding: 11px 12px;

    background: rgba(255, 255, 255, 0.35);
    border: 1px solid rgba(255, 255, 255, 0.55);
    border-radius: 12px;

    font-size: 15px;
    font-weight: 500;
    color: #0b2a4a;

    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    
    
}


.login input::placeholder {
    color: #5f7f9b;
}

/* Foco */
.login input:focus {
    outline: none;
    border-color: #00e0ff;
    box-shadow:
        0 0 0 1px rgba(0,224,255,0.6),
        0 0 12px rgba(0,224,255,0.5);
}

/* ===============================
   CAPTCHA
================================ */
.g-recaptcha {
    display: block;
    width: 100%;
    margin: 12px 0 16px;
    transform: scale(0.95);
    transform-origin: center;
    text-align: center;
   }
   
   .captcha-wrapper {
    border-radius: 12px;
}
  
 /* ===============================
   BOTÃO ACESSAR
================================ */

div .input-enviar {
    width: 100%;
    text-align:center;
}

div .input-enviar input[type="image" i] {
    width: 100% !important;
    max-width: 200px;
    height: 25px;
    font-size: 15px;

    background: linear-gradient(90deg, #00CAD7, #00E0FF);
    border: none !important;
    border-radius: 14px !important;

    box-shadow:
        0 0 14px rgba(0,224,255,24%),
        0 0 28px rgba(0,224,255,0.35);

    margin: 0px auto 14px;
    display: inline-block;
    cursor: pointer;
}

div .input-enviar input[type="image" i]:hover 
{
   background: linear-gradient(90deg, #0052FF, #1E64FF);
    box-shadow:
        0 4px 12px rgba(0,82,255,0.55),
        inset 0 0 0 1px rgba(255,255,255,0.6);
    filter: none;
}

/* ===============================
   LINKS
================================ */
.login a {
    display: block;
    text-align: center;
    margin: 4px 0;
    font-size: 14px;
    color: #bfefff;
    text-shadow: 0 0 6px rgba(191,239,255,0.6);
}

.login a:hover {
    color: #ffffff;
    text-decoration: underline;
}

/* ===============================
   AVISOS / ERROS
================================ */
.loginAvisoVermelho,
.MsgError {
    color: #ff6b6b;
    font-weight: 500;
    text-align: center;
    margin-top: 10px;
}


/* Rodapé */
/* rodapé meu roda pé*/  
footer {
    position: fixed;
    bottom: 0;
    left: 0;

    min-height: 38px;       /* ↓ era 55px */
    padding: 4px 0;        /* ↓ controla a altura real */

    width: 100%;
    background: #0052FF;
    color: #ffffff;
    z-index: 10000;
}
.container-footer{
    width: 100%;
    margin: 0;
}

footer hr
{   
    width:70%;
}
.top-footer {
    display: flex;
    flex-direction: column;
    align-items: center;   /* baseline → center */
    width: 100%;

    height: 40px;      /* remove forçação */
    padding: 2px 12px;     /* ↓ reduz espaço */
    flex-wrap: nowrap;     /* evita quebrar linha */
}

.logo-conexao h2
{   
    text-transform: uppercase;
    font-size: 18px;
    font-style:italic;
    display:inline-block;
    font-weight:600; 
    margin:0;
}
.logo-conexao p
{   
    font-size: 13px;
    display:inline-block;
    color: #ffffff;
    margin:0;
}
.redes-sociais
{   
    text-align:center;  
}
.redes-sociais h3
{   
    font-size: 12px;
    color:#ffffff;
    border:none;
    margin: 0 0 2px;
}
.redes-sociais a
{   font-size: 11px;
    margin:0 4px;
    height:22px;
}
.redes-sociais a i
{   
    color:#1E6496;
    padding: 4px;
    background: #ffffff;
    width: 25px;
    border-radius: 50%;
    border: 2px solid #ffffff;
}
.redes-sociais a:hover i
{   
    color:#ffffff;
    padding: 4px;
    background:#1E6496;
    width: 25px;
    border-radius: 50%;
    border: 2px solid #ffffff;
}
.icones-redes
{   
 margin-right: 40px;
}    
.logo-rj 
{
    width: 100%;
    text-align: center;
    margin: 4px auto;
    margin-left: 40px;
}
.logo-rj img
{  
    max-width:260px;
    margin-left: 40px;
}
.copyright-footer{
    text-align:center;
    position: relative;
    line-height: 1.2;
    font-size: 11px;
    color: #FFF;
    text-transform: uppercase;
    margin: 2px 0 0;
}
/* fim meu rodapé*/

/*Pop-Up*/
.pop
{
    position: absolute;
    left: 0;
    top: 0%;
    width: 100%;
    min-height: 300px;
    height: auto;
    margin: 0px;
    background-color: #f2f6f9;
    border-bottom: 1px #004A80 solid;
    border-top: 1px #004A80 solid; 
}
.pop_int
{
    margin: 5px;
}
.pop_form
{
    font-size: 11px;
    color: #004A80;
    border: 1px #004A80 solid;
    height: 15px;
    width: 180px;
    background: #FFF;
}
.pop_bt
{
    font-size: 11px;
    font-weight: bold;
    color: #FFF;
    border: 1px #FFF solid;
    height: 20px;
    cursor: pointer;
}

 .imagem-principal
   {
    width: 800px;
    height: 620px;
    position: absolute;
    left: 630px;
    top: 75px;
    background-image: url('./images/img-principal.png');
    background-size: cover;
   }
   
/*RESPONSIVO*/

@media (min-width: 1912px){
   .imagem-principal
   {
    width: 985px;
    height: 760px;
    left: 820px;
    top: 75px;
   }
}

@media (max-width: 1897px){
   .imagem-principal
   {
    width: 985px;
    height: 760px;
    left: 684px;
    top: 75px;
   }
}

@media (max-width: 1661px){
   .imagem-principal
   {
    width: 980px;
    height: 740px;
    left: 573px;
    top: 75px;
   }
}
@media (max-width: 1555px){
   .imagem-principal
   {
    width: 845px;
    height: 678px;
    left: 570px;
    top: 75px;
   }
}
@media (max-width: 1450px){
   .imagem-principal
   {
    width: 810px;
    height: 645px;
    left: 512px;
    top: 75px;
   }
}

@media (max-width: 1334px){
   .imagem-principal
   {
    width: 594px;
    height: 467px;
    left: 475px;
    top: 92px;
   }
}
/* menu responsivo a baixo dessa medida */
@media (max-width: 1066px)
{      
    .imagem-principal
   {
    width: 492px;
    height: 390px;
    left: 475px;
    top: 130px;
   }
    
    .top_inf {
        position: fixed;
        top: 0px;
        left: 0px;
        width: 100%;
        min-height: 60px;
        height: auto;
        background: #ffffff;
        box-shadow: 0 0.5rem 1rem rgb(0 0 0 / 5%), inset 0 -1px 0 rgb(0 0 0 / 15%);
        z-index: 10000;
        }
        .top 
        {   flex-wrap:wrap;
        }
        label[for="bt_menu"]
        {
         display: block;
        }
        .top .menu-responsivo
        {  display: none;
           width:100%;
           flex-direction: column;
           border-top:2px solid black;
           transition:all .4s;
        }
        #bt_menu:checked ~ .menu-responsivo{
           display: flex;
        }
        .tit_pag {
        margin: 28px;
        display: flex;
        min-width: 300px;
        max-width: 90%;
        width: auto;
        height: 119px;
        flex-direction: column;
        align-items: stretch;
        text-align: center;
        background: #F8F9FA;
        padding-top: 15px;
        border-radius: 8px;
        }
        
   
}
@media (max-width: 967px){
        .imagem-principal
   {
    display:none;
   }
      .login
   {
     left: initial !important;
    margin: 0 auto;
    margin-top: 70px !important;
   }
}
@media (max-width: 767px)
{   
      .imagem-principal
   {
    display:none;
   }
      .login
   {
     left: initial !important;
    margin: 0 auto;
    margin-top: 70px !important;
   }
    .conteudo {
        position: relative;
        display: block;
        overflow: auto;
        background: #F8F9FA;
        min-height: 684px;
        margin: 0px;
        height: 100vh;
    }
    /* footer */
    .icones-redes
    {   
        margin-right: 20px;
    }    
    
}

/*Media querys*/

/*
padroes de exibição
de 900px a 1200px
de 800px a 900px
de 700px a 800px
de 500px a 700px

Telefones em paisagem e abaixo 
@media (max-width: 480px) { 
     estilos aqui 
 }

 Telefones em paisagem a tablet em retrato 


 Tablet em retrato a paisagem e desktop 
@media (min-width: 768px) and (max-width: 979px) {
    estilos aqui 
}

 Desktop grande 
@media (min-width: 1200px) {
    estilos aqui 
}
*/


/* Imputs style
input[type="submit"], input[type="reset"], input[type="button"]
{
    border: 1px #f5f5f5 solid;
    padding: 1px 3px;
    font-family: Tahoma, Geneva, sans-serif;
    font-size: 11px;
    font-weight: bold;
    color: #000000;
    background: #c1d8f3 url(images/bk_bot.jpg) repeat-x;
    height: 20px;
    cursor: pointer;
}

input[type="submit"]:hover, input[type="reset"]:hover, input[type="button"]:hover
{
    border: 1px #f5f5f5 solid;
    padding: 1px 3px;
    font-family: Tahoma, Geneva, sans-serif;
    font-size: 11px;
    font-weight: bold;
    color: #000000;
    background: #6ca5e6 url(images/bk_bot-h.jpg) repeat-x;
    height: 20px;
    cursor: pointer;
}
input[type="text"], input[type="password"], .txtbox, .txtInput
{
    border: 1px #9F9F9F solid;
    padding: 5px 5px;
    font-family: Tahoma, Geneva, sans-serif;
    font-size: 14px;
    color: #000000;
}
input[type="text"]:disable, input[type="password"]:disable, .txtbox:disable, .txtInput:disable
{
    border: 1px #cdcdcd solid;
    padding: 1px 3px;
    font-family: Tahoma, Geneva, sans-serif;
    font-size: 11px;
    color: #cdcdcd;
}
textarea
{
    border: 1px #9F9F9F solid;
    padding: 1px 3px;
    font-family: Tahoma, Geneva, sans-serif;
    font-size: 11px;
    color: #000000;
}
textarea:disable
{
    border: 1px #cdcdcd solid;
    padding: 1px 3px;
    font-family: Tahoma, Geneva, sans-serif;
    font-size: 11px;
    color: #cdcdcd;
}
select
{
    border: 1px #9F9F9F solid;
    padding: 0px 0px;
    font-family: Tahoma, Geneva, sans-serif;
    font-size: 11px;
    color: #000000;
    height: 15px;
}
select:disable
{
    border: 1px #cdcdcd solid;
    padding: 0px 0px;
    font-family: Tahoma, Geneva, sans-serif;
    font-size: 11px;
    color: #cdcdcd;
}
#ctl00_cphFormulario_apcDocente_flFoto
{
    border: 1px #ccc solid;
    padding: 1px 3px;
    font-family: Tahoma, Geneva, sans-serif;
    font-size: 12px;
    color: #000000;
    background-color: #fcfcfc;
}
*/